<?php
/**
 *----------------------------------------------------------------------------*
 * 版权所有 2005-2013 GV32.COM，并保留所有权利。
 * 网站地址: http://www.gv32.com；
 * 作者: GV32.COM
 *----------------------------------------------------------------------------*
**/

require ROOT_PATH.'system/class/class_upload.php';

$GLOBALS['Uploa'] = new Upload();

class Uploadfile
{
	function Uploadfile()
	{
		
	}
	
	function upload()
	{
	
		$fileName 	= $GLOBALS['Reque'] -> getval["upLoadName"];  	// $GLOBALS['Reque'] -> funget("upLoadName");
		$getUrl   	=  $_REQUEST["getUrl"]; 						//$GLOBALS['Reque'] -> funget("getUrl");
		$lodingDiv  = $GLOBALS['Reque'] -> getval["lodingDiv"];  	//$GLOBALS['Reque'] -> funget("lodingDiv");
		$sizeType 	= '';
		$sizeType   = $GLOBALS['Reque'] -> getval["sizeType"];  	//$GLOBALS['Reque'] -> funget("sizeType");
		$strkey 	= '';
		$strkey 	=  $GLOBALS['Reque'] -> getval["strkey"];   
 		$isMark 	=  $GLOBALS['Reque'] -> getval["isMark"];  		//是否附加水印(1为加水印,0不加水印)

		if($lodingDiv)
		{
 
			
			$GLOBALS['Uploa'] -> upFile($fileName, $getUrl,'','img',$lodingDiv , $strkey , $sizeType, $isMark );
		}else{
 
			$GLOBALS['Uploa']  -> upFile($fileName, $getUrl,'','img','','',$sizeType, $isMark);
		}
	
	}
}

$Uploadfile = new Uploadfile();

?>

